Bug 1003270 - openstack-foreman-installer: The values 'PUBLIC/PRIVATE_NETMASK' in foreman_server.sh are actually being used for 'floating/fixed_network_range'.
openstack-foreman-installer: The values 'PUBLIC/PRIVATE_NETMASK' in foreman_s...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer (Show other bugs)
3.0
x86_64 Linux
low Severity low
: ---
: 4.0
Assigned To: Jason Guiditta
Omri Hochman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 09:05 EDT by Omri Hochman
Modified: 2013-11-25 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 17:08:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omri Hochman 2013-09-01 09:05:30 EDT
openstack-foreman-installer: The values 'PUBLIC/PRIVATE_NETMASK' in foreman_server.sh are actually being used for 'floating/fixed_network_range'.


Environment: 
-------------
RHOS3.0.z-2 (puddle 2013-08-27.1)
ruby193-openstack-foreman-installer-0.0.18-3.el6ost.x86_64

Description :
--------------
the values : 'PUBLIC_NETMASK' and 'PRIVATE_NETMASK'  are being used as 'floating_network_range' and 'fixed_network_range' (parameters of 'compute' hostGroup)  - the parameters in the script should be renamed according their propose.

In this case:
--------------
PUBLIC_NETMASK / PRIVATE_NETMASK in foreman_server.sh - should be called fixed_network_range and floating_network_range.
Comment 1 Jason Guiditta 2013-11-15 11:52:49 EST
This is as it was from rhos3, no change in name.  Really, I don't think it is worth changing, as we already have documentation explaining what it is for, and in the future, this environment variable will be going away altogether anyway

Note You need to log in before you can comment on or make changes to this bug.